#ifndef __ECORE_PTP_H__
#define __ECORE_PTP_H__

enum _ecore_status_t
ecore_ptp_cfg_filters(struct ecore_dev *p_dev,
		      enum ecore_ptp_filter_type type,
		      enum ecore_ptp_hwtstamp_tx_type tx_type);

enum _ecore_status_t ecore_ptp_read_rx_ts(struct ecore_dev *p_dev, u64 *ts);

enum _ecore_status_t ecore_ptp_read_tx_ts(struct ecore_dev *p_dev, u64 *ts);

enum _ecore_status_t ecore_ptp_read_cc(struct ecore_dev *p_dev, u64 *cycles);

enum _ecore_status_t ecore_ptp_adjfreq(struct ecore_dev *p_dev, s32 ppb);

enum _ecore_status_t ecore_ptp_disable(struct ecore_dev *p_dev);

enum _ecore_status_t ecore_ptp_enable(struct ecore_dev *p_dev);

#endif /* __ECORE_PTP_H__ */
