/**
 * @file
 *
 * @brief typedefs used in ql sdk
 *  
 *  
 *  @copyright                NOTICE                               
 *                 COPYRIGHT 2010-2017 Cavium, Inc.                    
 *                       ALL RIGHTS RESERVED                            
 * This computer program is CONFIDENTIAL and contains TRADE SECRETS of Cavium, Inc.
 * The  receipt or possession of this program does  not convey any
 * rights to reproduce or disclose  its contents,  or to  manufacture, use, or 
 * sell anything that it may describe, in whole or in part, without the specific
 * written consent of Cavium, Inc. Any reproduction of this program 
 * without the express written consent of Cavium, Inc. is a violation of
 * the copyright laws and  may  subject you to civil liability and criminal 
 * prosecution. 
 *  
 */

#ifndef __QL_TYPES_H__
#define __QL_TYPES_H__

typedef unsigned long long uint64_t;
typedef unsigned int	   uint32_t;
typedef unsigned short	   uint16_t;
typedef unsigned char	   uint8_t;

typedef long long		   int64_t;
typedef int			       int32_t;
typedef signed short	   int16_t;
typedef signed char		   int8_t;

#define TRUE			   1
#define FALSE			   0


#endif
